=== debian/control ===
Source: ros-kinetic-robot-upstart
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslint, ros-kinetic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-robot-upstart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemontools, net-tools, ros-kinetic-roslaunch, ros-kinetic-xacro
Description: The robot_upstart package provides scripts which may be used to install and uninstall Ubuntu Linux upstart jobs which launch groups of roslaunch files.
